
SETUP_INFO = dict(
    name = 'infi.registry',
    version = '0.1.1',
    author = 'Guy Rozendorn',
    author_email = 'guyr@infinidat.com',

    url = 'http://www.infinidat.com',
    license = 'PSF',
    description = """a Python dictionary-like interface to the Windows Registry""",
    long_description = """an easy-to-use wrapper to the Windows Registry APIs:
* implemented directly over ctypes, not _winreg or pywin32
* fully supports unicode""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = ['distribute'],
    namespace_packages = ['infi'],

    # packages = find_packages('src'),
    package_dir = {'': 'src'},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = [],
        gui_scripts = []),
    )

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

